{lib, ...}: {
  imports =
    map
    (file: ./${file}.nix)
    [
      "boot"
      "filesystem"
      "graphics"
      "hardware"
      "networking"
      "sops"
    ];
  nixpkgs.hostPlatform = lib.mkForce "x86_64-linux";
  system.stateVersion = lib.mkForce "24.05";
}
